package com.hcloud.microservice.goods;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableAsync
@EnableDiscoveryClient
@EnableFeignClients(basePackages = {"com.hcloud.microservice"})
@EnableTransactionManagement
@ComponentScan(basePackages = "com.hcloud")
@MapperScan(basePackages = {"com.hcloud.microservice.goods.dao"})
@SpringBootApplication
public class GoodsManageServiceApplication {

    public static void main(String[] args) {
        SpringApplication.run(GoodsManageServiceApplication.class, args);
    }

}

