package com.hcloud.microservice.goods.controller;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseController;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.clients.GoodsDealerClient;
import com.hcloud.microservice.goods.facade.entity.GoodsDealer;
import com.hcloud.microservice.goods.facade.forms.GoodsDealerForm;
import com.hcloud.microservice.goods.service.GoodsDealerService;

@RestController
@RequestMapping("/goods/dealer")
public class GoodsDealerController extends BaseController implements GoodsDealerClient{
	
	@Autowired
	private GoodsDealerService goodsDealerService;

	@Override
	@PostMapping("/save")
	public ResultVO add(@RequestBody GoodsDealer goodsDealer) {
		// TODO Auto-generated method stub
		int i = goodsDealerService.saveSelective(goodsDealer);
		if(i == 0) {
			return failure();
		}
		return success();
	}

	@Override
	@PostMapping("/edit")
	public ResultVO edit(@RequestBody GoodsDealer goodsDealer) {
		int i = goodsDealerService.modifyByPrimaryKeySelective(goodsDealer);
		if(i == 0) {
			return failure();
		}
		return success();
	}

	@Override
	@GetMapping("/findById")
	public ResultVO findById(@RequestParam("guid") String guid) {
		GoodsDealer goodsDealer = goodsDealerService.queryByPrimaryKey(guid);
		return success(goodsDealer);
	}

	@Override
	@PostMapping("/searchByPage")
	public ResultVO searchByPage(@RequestBody GoodsDealerForm goodsDealerForm) {
		// TODO Auto-generated method stub
		PageInfo pageInfo = goodsDealerService.searchByPage(goodsDealerForm);
		return success(pageInfo);
	}

	@Override
	@GetMapping("/getMaxCode")
	public ResultVO getMaxCode() {
		String code = goodsDealerService.getMaxCode();
		if(code == null) {
			return failure();
		}
		Map<String, Object> map = new HashMap<>();
		map.put("dealerCode", code);
		return success(map);
	}

	@Override
	@GetMapping("/delete")
	public ResultVO delete(@RequestParam("guid") String guid) {
		int i = goodsDealerService.delByPrimaryKey(guid);
		if(i == 0) {
			return failure();
		}
		return success();
	}

}
