package com.hcloud.microservice.goods.controller;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseController;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.clients.GoodsProInputsManagerService;
import com.hcloud.microservice.goods.facade.forms.GoodsProInputsForm;
import com.hcloud.microservice.goods.service.GoodsProInputsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author JYJ
 */
@RestController
@RequestMapping("/pro/inputs")
public class GoodsProInputsManageController extends BaseController implements GoodsProInputsManagerService {

    @Autowired
    private GoodsProInputsService goodsProInputsService;


    /**
     * 分页查询投入品内容
     *
     * @param goodsProInputsForm
     * @return
     */
    @PostMapping("/searchProInputsByPage")
    @Override
    public ResultVO searchProInputsByPage(@RequestBody GoodsProInputsForm goodsProInputsForm) {
        PageInfo pageInfo = goodsProInputsService.searchProInputsByPage(goodsProInputsForm);
        return success(pageInfo.getList(),pageInfo.getTotal());
    }

    /**
     * 查询投入品列表通过商品批次键
     *
     * @param foreignKey
     * @return
     */
    @GetMapping("/searchProInputsByFK")
    @Override
    public ResultVO searchProInputsByFK(@RequestParam("fk") String foreignKey) {
        List<GoodsProInputsForm> list =  goodsProInputsService.searchProInputsByBatchGuid(foreignKey);
        return success(list);
    }

    /**
     * 删除投入品信息
     *
     * @param pk
     * @return
     */
    @GetMapping("/delProInputs")
    @Override
    public ResultVO delProInputs(@RequestParam("pk") String pk) {
        int i = goodsProInputsService.delByPrimaryKey(pk);
        if(i>0){
            return success();
        }
        return failure();
    }

    /**
     * 保存投入品信息
     *
     * @param goodsProInputsForm
     * @return
     */
    @PostMapping("/saveProInputs")
    @Override
    public ResultVO saveProInputs(@RequestBody GoodsProInputsForm goodsProInputsForm) {
        int i = goodsProInputsService.saveSelective(goodsProInputsForm);
        if(i>0){
            return success();
        }
        return failure();
    }
}
