package com.hcloud.microservice.goods.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.goods.bo.GoodsFeedbackBO;
import com.hcloud.microservice.goods.facade.entity.GoodsBatchFeedback;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchFeedbackForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author JYJ
 */
public interface GoodsBatchFeedbackMapper extends BaseMapper<GoodsBatchFeedback,String> {
    /**
     * 分页查询评价信息
     * @param pageBean
     * @return
     */
    List<GoodsFeedbackBO> searchBatchFeedbackByPage(PageBean<GoodsBatchFeedbackForm> pageBean);

    /**
     * 通过用户id查询用户评价信息
     * @param userId
     * @param batchId
     * @return
     */
    List<GoodsBatchFeedback> getGoodsFeedbackByUserId(@Param("uid") String userId,@Param("batchId") String batchId);

    /**
     * 批量删除评价信息
     * @param list
     * @return
     */
    int delGoodsFeedbackByList(@Param("list") List<String> list);

}