package com.hcloud.microservice.goods.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.goods.bo.GoodsGradeBO;
import com.hcloud.microservice.goods.facade.entity.GoodsBatchGrade ;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchGradeForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author JYJ
 */
public interface GoodsBatchGradeMapper extends BaseMapper<GoodsBatchGrade,String> {
    /**
     * 分页查询评价星级
     * @param pageBean
     * @return
     */
     List<GoodsGradeBO> searchBatchGradeByPage(PageBean<GoodsBatchGradeForm> pageBean);

    /**
     * 获取商品评价信息列表
     * @param goodsBatchId
     * @param uid
     * @return
     */
    List<GoodsBatchGrade> getBatchGradeInfoByCond(@Param("uid") String uid, @Param("batchId") String goodsBatchId);

    /**
     * 批量删除评价星级信息
     * @param list
     * @return 结果
     */
    int delBatchGradeInfo(@Param("list") List<String> list);
}