package com.hcloud.microservice.goods.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.goods.facade.entity.GoodsProInputs;
import com.hcloud.microservice.goods.facade.forms.GoodsProInputsForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author JYJ
 */
public interface GoodsProInputsMapper extends BaseMapper<GoodsProInputs,String> {
    /**
     * 分页查询投入品信息
     * @param pageBean
     * @return
     */
    List<GoodsProInputs> searchProInputsByPage(PageBean<GoodsProInputsForm> pageBean);

    /**
     *  查询投入品信息通过商品批次GUID
     * @param batchGuid
     * @return
     */
    List<GoodsProInputs> searchProInputsByBatchGuid(String batchGuid);

    /**
     * 批量保存生产原料投入信息
     * @param list
     * @return
     */
    int batchSaveProInputs(List<GoodsProInputs> list);

    /**
     * 删除原料投入品信息
     * @param batchGuid
     * @return
     */
    int delProInputsByFK(@Param("batid") String batchGuid);
}