package com.hcloud.microservice.goods.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.goods.facade.entity.GoodsBatchInfo;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchInfoForm;

/**
 * 产品批次记录服务
 * @author xiezt
 */
public interface GoodsBatchInfoService extends BaseServie<GoodsBatchInfo,String> {

    /**
     * 分页查询商品批次信息
     * @param batchInfoForm
     * @return
     */
    PageInfo searchGoodsBatchInfoByPage(GoodsBatchInfoForm batchInfoForm);

    /**
     * 添加商品批次信息
     * @param batchInfoForm
     * @return
     */
    int addGoodsBatchInfo(GoodsBatchInfoForm batchInfoForm);

    /**
     * 编辑商品批次信息
     * @param batchInfoForm
     * @return
     */
    int editGoodsBatchInfo(GoodsBatchInfoForm batchInfoForm);

    /**
     * 删除商品批次信息
     * @param batchInfoForm
     * @return
     */
    int deleteGoodsBatchInfo(GoodsBatchInfoForm batchInfoForm);

    /**
     * 查询商品批次信息
     * @param goodsBatchId
     * @return
     */
    GoodsBatchInfoForm searchGoodsBatchInfoById(String goodsBatchId);

    /**
     * 添加评价及评级信息
     * @param batchInfoForm
     * @return
     */
    int saveAllFeedbackInfo(GoodsBatchInfoForm batchInfoForm);

}
