package com.hcloud.microservice.goods.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.goods.facade.entity.GoodsQRCodeRecord;
import com.hcloud.microservice.goods.facade.forms.GoodsQRCodeInfoForm;
import com.hcloud.microservice.goods.facade.forms.GoodsQRCodeRecordForm;

import java.util.List;

/**
 * 二维码生成记录
 * @author xiezt
 */
public interface GoodsQRCodeRecordService extends BaseServie<GoodsQRCodeRecord,String> {
    /**
     * 分页查询二维码生成记录
     * @param recordForm
     * @return
     */
    PageInfo searchQRCodeRecordByPage(GoodsQRCodeRecordForm recordForm);

    /**
     * 生成溯源二维码记录（含溯源码明细、包含溯源码信息、溯源码图片）
     * @param goodsQRCodeRecordForm
     * @return
     */
    int generateGoodsQRCodeInfo(GoodsQRCodeRecordForm goodsQRCodeRecordForm);


    /**
     * 获取二维码生成详情
     * @param queryInfo
     * @return
     */
    PageInfo getGoodsQRCodeDetailById(GoodsQRCodeInfoForm queryInfo);

    /**
     * 删除二维码生成记录
     * @param goodsQRCodeRecordForm
     * @return
     */
    int delGoodsQRCodeRecord(GoodsQRCodeRecordForm goodsQRCodeRecordForm);

    /**
     * 删除二维码生成记录（物理删除）
     * @param recordId
     * @return
     */
    int delQRcodeInfoByPhysical(String recordId);

    /**
     * 批量删除溯源码生成记录（逻辑删除）
     * @param batchId
     * @return
     */
    int delGoodsQRCodeRecordByBatchId(String batchId);
}
