package com.hcloud.microservice.goods.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microserver.commoncore.util.BeanCopyUtil;
import com.hcloud.microserver.commoncore.util.GetUUID;
import com.hcloud.microservice.goods.dao.GoodsInfoMapper;
import com.hcloud.microservice.goods.facade.entity.GoodsInfo;
import com.hcloud.microservice.goods.facade.forms.GoodsInfoForm;
import com.hcloud.microservice.goods.service.GoodsInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author xiezt
 */
@Slf4j
@Service("goodsInfoService")
public class GoodsInfoServiceImpl implements GoodsInfoService {

    @Resource
    private GoodsInfoMapper goodsInfoMapper;


    @Override
    public int delByPrimaryKey(String guid) {
        return goodsInfoMapper.deleteByPrimaryKey(guid);
    }

    @Override
    public int save(GoodsInfo record) {
        record.setGuid(GetUUID.getUUID());
        return goodsInfoMapper.insert(record);
    }

    @Override
    public int saveSelective(GoodsInfo record) {
        record.setGuid(GetUUID.getUUID());
        return goodsInfoMapper.insertSelective(record);
    }

    @Override
    public GoodsInfo queryByPrimaryKey(String guid) {
        return goodsInfoMapper.selectByPrimaryKey(guid);
    }

    @Override
    public int modifyByPrimaryKeySelective(GoodsInfo record) {
        return goodsInfoMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int modifyByPrimaryKeyWithBLOBs(GoodsInfo record) {
        // TODO empty implements
        return 0;
    }

    @Override
    public int modifyByPrimaryKey(GoodsInfo record) {
        return goodsInfoMapper.updateByPrimaryKey(record);
    }

    /**
     * 分页查询商品信息
     *
     * @param goodsInfoForm
     * @return
     */
    @Override
    public PageInfo searchGoodsInfoByPage(GoodsInfoForm goodsInfoForm) {
        PageBean pageBean = new PageBean(goodsInfoForm);
        PageHelper.startPage(goodsInfoForm.getPageNo(),goodsInfoForm.getPageSize());
        List list =  goodsInfoMapper.searchByPage(pageBean);
        return new PageInfo(list);
    }

    /**
     * 查询商品明细
     *
     * @param guid
     * @return
     */
    @Override
    public GoodsInfoForm searchGoodsInfoById(String guid) {
        GoodsInfoForm goodsInfoForm = new GoodsInfoForm();
        GoodsInfo goodsInfo = goodsInfoMapper.selectByPrimaryKey(guid);
        BeanCopyUtil.copyBean(goodsInfo,goodsInfoForm);
        return goodsInfoForm;
    }
}
