package com.hcloud.microservice.goods.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hcloud.microserver.commoncore.util.EasyHttpUtils;
import com.hcloud.microservice.goods.facade.entity.GoodsInterAuxiliary;
import com.hcloud.microservice.goods.service.GoodsInterAuxiliaryService;

@Service
public class GoodsInterAuxiliaryServiceImpl implements GoodsInterAuxiliaryService{
	
	@Value("${wlw.address}")
    private String wlwhost;
	
	@Override
	public List<GoodsInterAuxiliary> selectGoodsInterAux(String fieldGuid) {
		List<GoodsInterAuxiliary> interAuxList = new ArrayList<>();
		
		EasyHttpUtils easyHttpUtils = EasyHttpUtils.LoadInstance();
    	String url = wlwhost + "/devid/orchardSeCon?base_id=" + fieldGuid;
    	String s = null;
    	try {
    		s = easyHttpUtils.get(url);
		} catch (Exception e) {
			// TODO: handle exception
			System.out.println(e.getMessage());
		}
    	
    	if(s == null) {
    		return interAuxList;
    	}
        JSONObject jsonObject = JSON.parseObject(s);
        String key = "retHead";
        JSONObject retDataJson = jsonObject.getJSONObject(key);
        key = "errCod";
        String string = retDataJson.getString(key);
        List<Object> list = null;
        
        if ("0".equals(string)) {
            key = "retBody";
            retDataJson = jsonObject.getJSONObject(key);
            if (!StringUtils.isEmpty(retDataJson)) {
                key = "list";
                list = retDataJson.getJSONArray(key);
                
                if(list != null && list.size() > 0) {
                	for (Object object : list) {
                		JSONObject date = (JSONObject) object;
                		GoodsInterAuxiliary form = new GoodsInterAuxiliary();
						form.setAuxItme(date.getString("orchard_type"));
						form.setAuxItmeNormval(date.getString("dat_value") != null ? date.getString("dat_value") : "0");
						//form.setAuxItmeNormval(date.getString("dat_value") != null ? date.getString("dat_value") + date.getString("unit") : "0" + date.getString("unit"));
						form.setUnit(date.getString("unit"));
						interAuxList.add(form);
					}
                }
            }
        }
        return interAuxList;
	}

}
