package com.hcloud.microservice.goods.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microserver.commoncore.util.BeanCopyUtil;
import com.hcloud.microservice.goods.dao.GoodsTracedUserMapper;
import com.hcloud.microservice.goods.facade.entity.GoodsTracedUser;
import com.hcloud.microservice.goods.facade.forms.GoodsTracedUserForm;
import com.hcloud.microservice.goods.service.GoodsTracedUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author JYJ
 */
@Service("goodsTracedUserService")
public class GoodsTracedUserServiceImpl implements GoodsTracedUserService {

    @Resource
    private GoodsTracedUserMapper goodsTracedUserMapper;


    @Override
    public int delByPrimaryKey(String guid) {
        return goodsTracedUserMapper.deleteByPrimaryKey(guid);
    }

    @Override
    public int save(GoodsTracedUserForm record) {
        GoodsTracedUser goodsTracedUser = new GoodsTracedUser();
        BeanCopyUtil.copyBean(record,goodsTracedUser);
        return goodsTracedUserMapper.insert(goodsTracedUser);
    }

    @Override
    public int saveSelective(GoodsTracedUserForm record) {
        GoodsTracedUser goodsTracedUser = new GoodsTracedUser();
        BeanCopyUtil.copyBean(record,goodsTracedUser);
        return goodsTracedUserMapper.insertSelective(goodsTracedUser);
    }

    @Override
    public GoodsTracedUserForm queryByPrimaryKey(String guid) {
        GoodsTracedUserForm tracedUserForm = new GoodsTracedUserForm();
        GoodsTracedUser goodsTracedUser = goodsTracedUserMapper.selectByPrimaryKey(guid);
        BeanCopyUtil.copyBean(goodsTracedUser,tracedUserForm);
        return tracedUserForm;
    }

    @Override
    public int modifyByPrimaryKeySelective(GoodsTracedUserForm record) {
        GoodsTracedUser goodsTracedUser = new GoodsTracedUser();
        BeanCopyUtil.copyBean(record,goodsTracedUser);
        return goodsTracedUserMapper.updateByPrimaryKeySelective(goodsTracedUser);
    }

    @Override
    public int modifyByPrimaryKeyWithBLOBs(GoodsTracedUserForm record) {
        //TODO empty implements
        return 0;
    }

    @Override
    public int modifyByPrimaryKey(GoodsTracedUserForm record) {
        GoodsTracedUser goodsTracedUser = new GoodsTracedUser();
        BeanCopyUtil.copyBean(record,goodsTracedUser);
        return goodsTracedUserMapper.updateByPrimaryKey(goodsTracedUser);
    }

    /**
     * 分页查询溯源用户信息
     *
     * @param goodsTracedUserForm
     * @return
     */
    @Override
    public PageInfo searchTracedUserByPage(GoodsTracedUserForm goodsTracedUserForm) {
        PageHelper.startPage(goodsTracedUserForm.getPageNo(),goodsTracedUserForm.getPageSize());
        List<GoodsTracedUser> list = goodsTracedUserMapper.searchTracedUserByPage(new PageBean(goodsTracedUserForm));
        return new PageInfo(list);
    }

    /**
     * 查询溯源用户信息，通过用户第三方编号
     *
     * @param code
     * @return
     */
    @Override
    public GoodsTracedUserForm searchTracedUserByCode(String code,String userOpenid) {
        GoodsTracedUserForm resultForm = new GoodsTracedUserForm();
        GoodsTracedUser tracedUser =  goodsTracedUserMapper.searchTracedUserByCode(code,userOpenid);
        if(tracedUser!=null){
            BeanCopyUtil.copyBean(tracedUser,resultForm);
        }
        return resultForm;
    }
}
